## jta 2.5

=== jni/solaris/Makefile ===
# This file is part of "The Java Telnet Application".
#
# (c) Matthias L. Jugel, Marcus Meiner 1996-2002. All Rights Reserved.
#
# Please visit http://javatelnet.org/ for updates and contact.
#
# --LICENSE NOTICE--
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# --LICENSE NOTICE--
#

### This makefile is incomplete. Please adjust it to your environment.

JAVAH	=	/usr/java/bin/javah
TOPDIR	=	../..
SRCDIR	=	../../de
CDIR	=	../src
 
JNI_INCLUDE =	-I/usr/java/include -I/usr/java/include/linux

CC	=	/opt/SUNWspro/SC5.0/bin/cc
SOCFLAGS =	-c -I. $(JNI_INCLUDE) -G
SOLFLAGS =	-G

#
# major rules to create files
#
all: 	libjtapty.so

HandlerPTY.h:  $(SRCDIR)/mud/jta/plugin/HandlerPTY.class
	$(JAVAH) -force -classpath $(TOPDIR) -o $@ de.mud.jta.plugin.HandlerPTY

libjtapty.so: HandlerPTY.lo
	$(CC) $(SOLFLAGS) -o $@ HandlerPTY.lo

HandlerPTY.lo: $(CDIR)/HandlerPTY.c HandlerPTY.h
	$(CC) $(SOCFLAGS) -o $@ $(CDIR)/HandlerPTY.c

clean:
	-find . -name \*~ -print | xargs rm -f
	-rm -f HandlerPTY.h libjtapty.so

realclean: clean

# EOF

## jta 2.6%2Bdfsg

=== debian/watch ===
version=3
opts=dversionmangle=s/[.+]dfsg// \
 http://javassh.org/space/start /download/jta(\d)(\d+)-src\.jar

## jta 2.6+dfsg

=== Makefile ===
# This file is part of "JTA - Telnet/SSH for the JAVA(tm) platform".
#
# (c) Matthias L. Jugel, Marcus Meißner 1996-2005. All Rights Reserved.
#
# Please visit http://javatelnet.org/ for updates and contact.
#
# --LICENSE NOTICE--
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# --LICENSE NOTICE--
#

JAVA	=	java
JAR	=	jar
JAVAC	=	javac
JAVADOC =	javadoc
JAVAH 	=	javah
#JAVA	=	/q/opt/jdk1.2.2/bin/java
#JAR	=	/q/opt/jdk1.2.2/bin/jar
#JAVAC	=	/q/opt/jdk1.2.2/bin/javac
#JAVADOC	=	/q/opt/jdk1.2.2/bin/javadoc
#DEBUG	=	-g -deprecation
DEBUG	=	-g
JFLAGS	=	-classpath $(CLASSPATH):jar/org.apache.crimson.jar:jar/jdom.jar:jar/gnu-regexp-1.0.8.jar:.
SRCDIR	=	de
PKGNAME	=	jta20
VERSION	=	`java -version 2>&1 | head -1 | \
		 sed 's/^java version //' | sed 's/"//g'`
DATE	=	`date +%Y%m%d-%H%M`

.SUFFIXES:	.java .class

# compile java files to class
.java.class:
	$(JAVAC) $(DEBUG) $(JFLAGS) $<

#
# major rules to create files
#
all: 	app cont doc jar tools/mrelayd tools/relayd

run:	app
	$(JAVA) $(JFLAGS) de.mud.jta.Main

doc:	app
	@echo Creating source documentation ...
	@if [ ! -d doc ]; then mkdir doc; fi
	@-rm -r doc/source/*.html doc/source/de
	@$(JAVADOC) -d doc/source -version -author \
	  -sourcepath $(CLASSPATH):.:contrib \
	  `(find de -name \*.java -printf '%h\n'; \
	    (cd contrib; find * -name \*.java -printf '%h\n')) | \
	    sort | uniq | \
	    grep -v CVS | sed 's/\//./g'`; > /dev/null
	@echo Source documentation done.

tex:	app
	@echo Creating latex source documentation ...
	@$(JAVADOC) -docletpath ../tex -doclet TexDoclet \
	  -output $(PKGNAME).tex \
	  -docdir de/mud/jta `find de/mud -type d -print | \
	    grep -v CVS | grep -v '^de/mud$$' | sed 's/\//./g'`; > /dev/null
	@echo Source documentation done.

jar:	app build
	@echo Creating binary archive ...
	@if [ ! -d jar ]; then mkdir jar; fi
	@touch "Created-$(DATE)"
	@$(JAR) cvfm jar/$(PKGNAME).jar jta.manifest \
	  "Created-$(DATE)" README \
	  license/COPYING \
	  `find $(SRCDIR) -name \*.class` \
	  `find $(SRCDIR) -name \*.conf` > /dev/null
	@rm -f Created-*
	@echo Created jar/$(PKGNAME).jar

opt:
	@[ -f ../Jopt.jar ] && $(JAVA) -jar ../Jopt.jar jar/$(PKGNAME).jar
	@echo Created jar/$(PKGNAME)_o.jar

cont:
	@echo Compiling contributed software ...
	@(cd contrib; make)

dist:	all opt revision changes
	@echo Creating distribution package ...
	@if [ "$(CVSROOT)" = "" ]; then echo "Missing CVSROOT!"; exit -1; fi
	@(cvs -Q -d $(CVSROOT) export -D now -d $(PKGNAME) jta && \
	  export CLASSPATH=$(CLASSPATH):`pwd`/jar/cryptix.jar && \
	  cp REVISION CHANGES $(PKGNAME)/ && \
	  cp -r doc/source $(PKGNAME)/doc/ && \
	  touch "$(PKGNAME)/Created-$(DATE)" && \
	  sed "s/<!-- DATE -->/$(DATE)/g" < $(PKGNAME)/index.html \
	                                  > $(PKGNAME)/index.new && \
	  mv $(PKGNAME)/index.new $(PKGNAME)/index.html && \
	  echo "s/<!-- DATE -->/$(DATE)/g" > /tmp/jta.sed && \
	  (cd $(PKGNAME); make cont; \
	   rm -r contrib/de/mud/bsx contrib/de/mud/jta/plugin/BSX*; \
	   $(JAR) cvMf ../jar/contrib.jar contrib) &&\
	  (cd jar; for i in *.jar; do \
	    echo 's/<!-- SIZE-'$$i' -->/'`\ls -l $$i | \
	          awk '{printf("%dk", $$5/1024);}' `'/g'; \
	  done) >> /tmp/jta.sed && \
	  sed -f /tmp/jta.sed < $(PKGNAME)/html/download.html \
	                      > $(PKGNAME)/html/download.new && \
	  rm -f /tmp/jta.sed && \
	  mv $(PKGNAME)/html/download.new $(PKGNAME)/html/download.html && \
	  bin/users.pl > $(PKGNAME)/html/users.html.new && \
	  mv $(PKGNAME)/html/users.html.new $(PKGNAME)/html/users.html && \
	  rm -r $(PKGNAME)/tools/* \
	        $(PKGNAME)/html/users.db \
	        $(PKGNAME)/bin/users.pl && \
          (cd $(PKGNAME); $(MAKE) clean) && \
	  $(JAR) cvMf jar/$(PKGNAME)-src.jar $(PKGNAME) \
	 ) > /dev/null 
	@rm -rf $(PKGNAME) 
	@echo Created jar/$(PKGNAME)-src.jar
	@$(JAR) cvMf jar/relay.jar \
	  tools/relayd tools/mrelayd tools/*.c tools/*.exe

build:
	@echo "package de.mud.jta; public class Build implements Version { public String getDate() { return \"$(DATE)\"; } }" > de/mud/jta/Build.java

changes:
	@rcs2log > CHANGES
	@echo Created CHANGES.

revision:
	@find de -name \*.java | xargs cat | grep @version | \
	  awk 'BEGIN{ \
	         printf("%-26.26s %2.2s.%-2.2s (%10s) %s\n", \
		        "File","R","M", "Date", "Last Accessed by:"); \
	       } \
	       { \
	         split($$5,rev,"."); \
	         printf("%-26.26s %2.2s.%-2.2s (%10s) %s\n", \
		   $$4,rev[1],rev[2],$$6,$$8); \
	       }' \
	  > REVISION
	  @echo Created REVISION.

small: app
	jar cvf jar/jta20-small.jar \
		license/README \
		de/mud/jta/SmallApplet*class \
		de/mud/telnet/TelnetProtocolHandler.class \
		de/mud/terminal/VDU*class \
		de/mud/terminal/vt320*class \
		de/mud/terminal/SoftFont.class

# 
# application dependencies
#
app:
	@find $(SRCDIR) -name \*.java | sed 's/java$$/class/' | xargs make
	@echo Done.

clean:
	-find . -name \*.class -print | xargs rm > /dev/null 2>&1
	-find . -name \*~ -print | xargs rm > /dev/null 2>&1
	-rm -f tools/relayd tools/mrelayd
	cd jni && $(MAKE) clean

realclean: clean
	-rm -f jar/$(PKGNAME).jar jar/$(PKGNAME)-src.jar
	cd jni && $(MAKE) realclean

=== jni/linux/Makefile ===
# This file is part of "JTA - Telnet/SSH for the JAVA(tm) platform".
#
# (c) Matthias L. Jugel, Marcus Meißner 1996-2005. All Rights Reserved.
#
# Please visit http://javatelnet.org/ for updates and contact.
#
# --LICENSE NOTICE--
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# --LICENSE NOTICE--
#

JAVAH	=	javah
TOPDIR	=	../..
SRCDIR	=	../../de
CDIR	=	../src
 
JNI_INCLUDE =	-I/usr/lib/j2sdk1.3/include -I/usr/lib/j2sdk1.3/include/linux

# Linux (glibc 2.1.3)
# libutil contains forkpty()
CC	=	gcc
SOCFLAGS =	-fPIC -c -Wall -I. $(JNI_INCLUDE)
SOLFLAGS =	-shared -lutil

#
# major rules to create files
#
all: 	libjtapty.so

HandlerPTY.h:  $(SRCDIR)/mud/jta/plugin/HandlerPTY.class
	$(JAVAH) -classpath /usr/java/lib/classes.zip:$(TOPDIR) -o $@ de.mud.jta.plugin.HandlerPTY

libjtapty.so: HandlerPTY.lo
	$(CC) $(SOLFLAGS) -o $@ HandlerPTY.lo

HandlerPTY.lo: $(CDIR)/HandlerPTY.c HandlerPTY.h
	$(CC) $(SOCFLAGS) -o $@ $(CDIR)/HandlerPTY.c

clean:
	-find . -name \*~ -print | xargs rm -f
	-rm -f HandlerPTY.h HandlerPTY.lo libjtapty.so

realclean: clean

# EOF

=== jni/solaris/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# This file is part of "The Java Telnet Application".
+# This file is part of "JTA - Telnet/SSH for the JAVA(tm) platform".
 #
-# (c) Matthias L. Jugel, Marcus Meiner 1996-2002. All Rights Reserved.
+# (c) Matthias L. Jugel, Marcus Meißner 1996-2005. All Rights Reserved.
 #
 # Please visit http://javatelnet.org/ for updates and contact.
 #
@@ -14,7 +14,7 @@
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
-# 
+#
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

=== jni/win32/Makefile ===
# This file is part of "JTA - Telnet/SSH for the JAVA(tm) platform".
#
# (c) Matthias L. Jugel, Marcus Meißner 1996-2005. All Rights Reserved.
#
# Please visit http://javatelnet.org/ for updates and contact.
#
# --LICENSE NOTICE--
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# --LICENSE NOTICE--
#

#### This makefile is incomplete! Someone please finish it.

JAVAH	=	/q/opt/jdk1.2.2/bin/javah
TOPDIR	=	../..
SRCDIR	=	../../de
CDIR	=	../src
 
JNI_INCLUDE =	-Ic:\java\include -Ic:\java\include\win32

CC	=	gcc
SOCFLAGS =	-fPIC -c -Wall -I. $(JNI_INCLUDE)
SOLFLAGS =	-shared -lutil

all:  jtapty.dll

#
# On Win32, the following command builds a dynamic link library hello.dll using Microsoft Visual C++ 4.0: 
#
#    cl -Ic:\java\include -Ic:\java\include\win32
#                    -LD HelloWorldImp.c -Fehello.dll
#
# On Linux libutil contains forkpty()
#
#
# This will most likely not be easily portable to Win32, except probably
# using cygwin. Do not expect it to work.

clean:

realclean: clean

# EOF

=== debian/changelog ===
jta (2.6+dfsg-3) unstable; urgency=low

  * Team Upload
  * Change Build-Depends: default-jdk-doc.
  * Remove most Uploaders.
  * Update Standards-Version: 3.8.4
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Sun, 11 Apr 2010 16:14:52 +0200

jta (2.6+dfsg-2) unstable; urgency=low

  * (Build-)Depends on default-jdk (Closes: #526289).
  * Build-Depends on debhelper >= 7.
  * Let packages Depends on ${misc:Depends}.
  * Make short description of jta-doc unique.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Fri, 18 Sep 2009 22:00:13 +0200

jta (2.6+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switch to libjdom1-java, both for Build-Dep and Depends (closes: #502344)
  * Already conforms to standards 3.8.0
  * Added a Homepage and Vcs-* fields
  * Switched debian/copyright to UTF-8, so that jta is now lintian-clean.

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 16 Oct 2008 20:53:55 +0200

jta (2.6+dfsg-1) unstable; urgency=low

  * Added myself to uploaders.
  * Converted to use CDBS (usual build system in pkg-java).
  * Compiles using java-gcj-compat-dev.
  * Changed to debheler version 5.
  * Upstream provide both a Makefile and a build.xml, but the
    Makefile is out of date. Swapped to build.xml.
  * Removed dependency on Java runtime (as required by draft Java
    policy).
  * Created separate -doc package.
  * Removed non-dfsg RFC from source tarball.
    (Closes: #393377)
  * Expanded description, and added end-user documentation.
    (Closes: #34130, #417544)
  * Amended build.xml to include index.html as a help file.
    (Closes: #341405)

 -- Paul Cager <paul-debian@home.paulcager.org>  Sat, 21 Apr 2007 21:37:36 +0100

jta (2.5+dfsg-1) unstable; urgency=low

  * Re-upload with orig.tar.gz with new version number (Closes: #413053).
  * Moved debhelper from Build-Depends-Indep to Build-Depends.
  * Added myself to Uploaders.
  * Updated Standards-Version to 3.7.2.

 -- Michael Koch <konqueror@gmx.de>  Fri,  2 Mar 2007 23:04:36 +0100

jta (2.5-3) unstable; urgency=medium

  * Added debian/jta.links to add link from jta.jar to jta25.jar.
  (Closes: #405490).

 -- Michael Koch <konqueror@gmx.de>  Thu, 15 Feb 2007 15:40:27 +0100

jta (2.5-2) unstable; urgency=low

  * build with kaffe, move to main

 -- Arnaud Vandyck <avdyk@debian.org>  Fri, 23 Sep 2005 01:22:31 +0200

jta (2.5-1) unstable; urgency=low

  * New upstream release (closes: #276792).
  * added dependencies to libjdom0-java, libcrimson-java and
    libgnu-regexp-java
  * de/mud/flash/FlashTerminal.java: added a catch statement with
    IOException at line 160. I'm sorry not to make a proper patch and send
    it upstream. If you have time, please, contact upstream and tell
    him/her I was not able to build from source without adding this catch
    statement.
  * added support for amd64 (closes: #274839).

 -- Arnaud Vandyck <avdyk@debian.org>  Fri, 12 Nov 2004 17:25:50 +0100

jta (2.0a-1) unstable; urgency=low

  * Not a new upstream, but removed three .cvsignore files and a CVS
    directory
  * Corrected the maintainer field: Debian Java Maintainers, thanks to
    Carlos Z.F. Liu (closes: #253449).

 -- Arnaud Vandyck <avdyk@debian.org>  Sat, 12 Jun 2004 18:26:28 +0200

jta (2.0-1) unstable; urgency=low

  * Initial release by Jaldhar H. Vyas <jaldhar@debian.org> but
    pkg-java-maintainers will take care of the package, I'll be an
    uploader (closes: #167380).

 -- Arnaud Vandyck <avdyk@debian.org>  Sat, 22 May 2004 12:25:05 +0200

=== debian/control ===
Source: jta
Section: net
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>
Build-Depends: debhelper (>= 7), ant, cdbs, default-jdk
Build-Depends-Indep: libxerces2-java, libgnu-regexp-java, libcrimson-java,
 libjdom1-java, default-jdk-doc
Standards-Version: 3.8.4
Homepage: http://www.javassh.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jta
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/jta


Package: jta
Architecture: all
Depends:  libgnu-regexp-java, libcrimson-java, libjdom1-java, ${misc:Depends}
Suggests: jta-doc
Description: Java telnet/ssh applet - documentation
 JTA is a Java implementation of Telnet and ssh.
 .
 JTA may be run as a standalone application (using class
 de.mud.jta.Main), or as a Java Applet (class de.mud.jta.Applet).
 .
 It's modular structure allows to configure the software to act either
 as a sophisticated terminal emulation and/or, adding the network
 backend, as telnet implementation. Additional modules provide features
 like scripting or an improved graphical user interface.

Package: jta-doc
Architecture: all
Section: doc
Depends: classpath-doc, ${misc:Depends}
Suggests: jta
Description: Java telnet/ssh applet
 JTA is a Java implementation of Telnet and ssh.
 .
 JTA may be run as a standalone application (using class
 de.mud.jta.Main), or as a Java Applet (class de.mud.jta.Applet).
 .
 It's modular structure allows to configure the software to act either
 as a sophisticated terminal emulation and/or, adding the network
 backend, as telnet implementation. Additional modules provide features
 like scripting or an improved graphical user interface.
 .
 This package provides the API documentation for JTA

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

PACKAGE              := $(shell dpkg-parsechangelog | egrep '^Source:' | cut -f2 -d' ')
VERSION              := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f2 -d' ' | cut -f1 -d-)
THEIR_VERSION        := $(shell echo $(VERSION) | sed 's/+dfsg//' | sed 's/\.//')

JAVA_HOME            := /usr/lib/jvm/default-java

DEB_JARS             := $(ANT_HOME)/lib/ant-launcher.jar $(ANT_HOME)/lib/ant-trax.jar xalan2 jdom1
DEB_ANT_BUILD_TARGET := bin-jar doc
DEB_ANT_BUILDFILE    := build.xml
DEB_ANT_ARGS         := -Dpackage=$(PACKAGE) -Dversion=$(VERSION)
#DEB_ANT_INVOKE       := ant -verbose -Dpackage=$(PACKAGE) -Dversion=$(VERSION) -f $(BUILD_FILE)
API_DOCS             := doc/source

get-orig-source:
	echo "Downloading version $(VERSION) $(THEIR_VERSION)"
	mkdir tmp
	wget -O orig-jar http://javassh.org/download/jta$(THEIR_VERSION)-src.jar && \
	cd tmp && \
	jar xf ../orig-jar && \
	rm jta$(THEIR_VERSION)/doc/rfc854.txt jta$(THEIR_VERSION)/tools/*relayd jta$(THEIR_VERSION)/tools/*relayd.exe && \
	rm -rf jta$(THEIR_VERSION)/doc/source && \
	mv jta$(THEIR_VERSION) jta_$(VERSION).orig && \
	tar czf ../../jta_$(VERSION).orig.tar.gz jta_$(VERSION).orig
	rm -rf tmp orig-jar
 
binary-post-install/$(PACKAGE)::
	mv "jar/$(PACKAGE)$(VERSION).jar" "jar/$(PACKAGE)-$(VERSION).jar"
	dh_install -p$(PACKAGE) jar/$(PACKAGE)-$(VERSION).jar usr/share/java
	dh_link -p$(PACKAGE) usr/share/java/$(PACKAGE)-$(VERSION).jar usr/share/java/$(PACKAGE).jar
	dh_installdocs -p$(PACKAGE) README

binary-post-install/$(PACKAGE)-doc::
	mv $(API_DOCS) doc/api
	dh_install -p$(PACKAGE)-doc doc/api usr/share/doc/$(PACKAGE)
	dh_install -p$(PACKAGE)-doc doc/*.html doc/plugins usr/share/doc/$(PACKAGE)

makebuilddir/$(PACKAGE)::
	-mkdir jar

cleanbuilddir/$(PACKAGE)::
	rm -rf jar doc/source doc/api
